Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class LeafPosition

    java.lang.Object
      org.apache.fop.layoutmgr.Position
          org.apache.fop.layoutmgr.LeafPosition

Direct Known Subclasses:
  AbstractBreaker.PageBreakPosition

public class LeafPosition
extends Position

Constructor Summary
`LeafPosition(LayoutManager layoutManager, int pos)`
`LeafPosition(LayoutManager layoutManager, int pos, int index)`

Method Summary
`boolean` | `generatesAreas()`
`int` | `getLeafPos()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.layoutmgr.Position
`getIndex, getLM, getPosition, getShortLMName, setIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeafPosition

    public LeafPosition(LayoutManager layoutManager,
                        int pos)

### LeafPosition

    public LeafPosition(LayoutManager layoutManager,
                        int pos,
                        int index)

Method Detail

### getLeafPos

    public int getLeafPos()

### generatesAreas

    public boolean generatesAreas()

  Overrides:
    `generatesAreas` in class `Position`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Position`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.